%define majver %(echo %version | cut -d. -f1-2)
%global __debug_package 1

Name:          analitza
Version:       17.12.0
Release:       1mamba
Summary:       KDE library for mathematical features
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/analitza-%{version}.tar.xz
Patch0:        %{name}-4.14.0-readline_with_termcap.patch
License:       GPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: extra-cmake-modules
BuildRequires: kdelibs-devel >= 4.14.4
#Requires:      kde-workspace
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Algebraic calculator and libraries.

%package -n calgebra
Group:         Graphical Desktop/Applications/Scientific
Summary:       Algebraic calculator
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n calgebra
Algebraic calculator.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries to work with mathematical expressions

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for lib%{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use lib%{name}.

%package -n lib%{name}-debug
Group:         Development/Debug
Summary:       Debug information for package lib%{name}
AutoReqProv:   0
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-debug
This package provides debug information for package lib%{name}.
Debug information is useful when developing applications that use this package or when debugging this package.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde4 -d build \\
%ifarch arm
   -DWITH_OpenGL:BOOL=false
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig || :

%postun
/sbin/ldconfig || :

%files -n calgebra
%defattr(-,root,root)
#%{_kde4_bindir}/calgebra

%files -n lib%{name}
%defattr(-,root,root)
%{_kde4_libdir}/libAnalitza.so.*
%{_kde4_libdir}/libAnalitzaGui.so.*
%{_kde4_libdir}/libAnalitzaPlot.so.*
%{_kde4_libdir}/libAnalitzaWidgets.so.*
%dir %{_kde4_libdir}/qml/org/kde/analitza
%{_kde4_libdir}/qml/org/kde/analitza/*
%dir %{_kde4_sharedir}/libanalitza/plots
%{_kde4_sharedir}/libanalitza/plots/*.plots
%{_kde4_localedir}/ar/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ast/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/bs/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ca/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ca@valencia/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/cs/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/da/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/de/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/el/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/en_GB/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/es/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/et/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/fi/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/fr/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ga/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/gl/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/hu/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/it/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ja/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/kk/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/lt/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/lv/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/mr/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/nb/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/nds/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/nl/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/nn/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/pl/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/pt/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/pt_BR/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ru/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/sk/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/sl/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/sv/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/tr/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/ug/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/uk/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/zh_CN/LC_MESSAGES/analitza_qt.qm
%{_kde4_localedir}/zh_TW/LC_MESSAGES/analitza_qt.qm
%doc COPYING COPYING.DOC COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde4_includedir}/Analitza5/analitza
%{_kde4_includedir}/Analitza5/analitza_version.h
%{_kde4_includedir}/Analitza5/analitza/*.h
%dir %{_kde4_includedir}/Analitza5/analitzagui
%{_kde4_includedir}/Analitza5/analitzagui/*.h
%dir %{_kde4_includedir}/Analitza5/analitzaplot
%{_kde4_includedir}/Analitza5/analitzaplot/*.h
%{_kde4_libdir}/libAnalitza.so
%{_kde4_libdir}/libAnalitzaGui.so
%{_kde4_libdir}/libAnalitzaPlot.so
%{_kde4_libdir}/libAnalitzaWidgets.so
%{_kde4_libdir}/cmake/Analitza5/Analitza5*.cmake

%changelog
* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Thu Sep 07 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Jun 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Thu May 11 2017 Automatic Build System <autodist@mambasoft.it> 17.04.1-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 17.04.0-1mamba
- automatic version update by autodist

* Thu Mar 09 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Thu Feb 09 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Tue Nov 10 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sun Sep 20 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 15.04.3-1mamba
- automatic version update by autodist

* Wed Jun 03 2015 Automatic Build System <autodist@mambasoft.it> 15.04.2-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 15.04.1-1mamba
- automatic version update by autodist

* Sun Apr 19 2015 Automatic Build System <autodist@mambasoft.it> 15.04.0-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 14.12.3-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 14.12.2-1mamba
- automatic version update by autodist

* Mon Jan 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 14.12.1-1mamba
- update to 14.12.1

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jul 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- don't delete *.so files

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Mon May 07 2012 Davide Madrisan <davide.madrisan@gmail.com> 4.8.3-1mamba
- package created by autospec
